> ## Documentation Index
> Fetch the complete documentation index at: https://globalprs-docs.sadhguru.org/llms.txt
> Use this file to discover all available pages before exploring further.

# GetEventDetails

> Dummy/basic implementation of get event details



## OpenAPI

````yaml api-reference/openapi.json get /admin/event/{event_id}
openapi: 3.1.0
info:
  title: PRS API
  version: 0.0.1
  description: API for PRS
servers:
  - url: /
security:
  - BearerToken: []
    SystemToken: []
paths:
  /admin/event/{event_id}:
    get:
      tags:
        - Admin APIs
      summary: GetEventDetails
      description: Dummy/basic implementation of get event details
      operationId: AdminEventEventIdGetEventDetails
      parameters:
        - name: event_id
          in: path
          schema:
            type: integer
          required: true
          deprecated: false
        - name: lang_id
          in: query
          schema:
            type: string
            default: en_US
          required: false
          deprecated: false
      responses:
        '200':
          description: Request fulfilled, document follows
          headers: {}
          content:
            application/json:
              schema:
                additionalProperties: {}
                type: object
        '400':
          description: Bad request syntax or unsupported method
          content:
            application/json:
              schema:
                properties:
                  status_code:
                    type: integer
                  detail:
                    type: string
                  extra:
                    additionalProperties: {}
                    type:
                      - 'null'
                      - object
                      - array
                type: object
                required:
                  - detail
                  - status_code
                description: Validation Exception
                examples:
                  - status_code: 400
                    detail: Bad Request
                    extra: {}
      deprecated: false
components:
  securitySchemes:
    BearerToken:
      type: http
      scheme: bearer
    SystemToken:
      type: apiKey
      description: System token for additional authentication
      name: x-system-token
      in: header

````